## qdbm 1.8.33

=== bros/Makefile ===
# Makefile for writing tests of DBM brothers



#================================================================
# Setting variables
#================================================================


# Generic settings
SHELL = /bin/sh

# Targets
MYBINS = qdbmtest ndbmtest sdbmtest gdbmtest tdbtest cdbtest bdbtest



#================================================================
# Suffix rules
#================================================================


.SUFFIXES :



#================================================================
# Actions
#================================================================


mesg :
	@echo "Here are writing tests of DBM brothers." 1>&2
	@echo "select a target of {all clean $(MYBINS)}." 1>&2


all : $(MYBINS)


clean :
	rm -rf $(MYBINS) *.o *.exe a.out casket* *~


distclean : clean



#================================================================
# Building binaries
#================================================================


qdbmtest : qdbmtest.c
	gcc -I.. -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ qdbmtest.c \
	  -static -L.. -L/usr/local/lib -lqdbm -lc


ndbmtest : ndbmtest.c
	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ ndbmtest.c \
	  -static -L/usr/local/lib -lndbm -lc


sdbmtest : sdbmtest.c
	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ sdbmtest.c \
	  -static -L/usr/local/lib -lsdbm -lc


gdbmtest : gdbmtest.c
	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ gdbmtest.c \
	  -static -L/usr/local/lib -lgdbm -lc


tdbtest : tdbtest.c
	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ tdbtest.c \
	  -static -L/usr/local/lib -ltdb -lc


cdbtest : cdbtest.c
	gcc -I/usr/local/include/cdb -Wall -ansi -pedantic -O3 -o $@ cdbtest.c \
	  /usr/local/lib/cdb/cdb.a /usr/local/lib/cdb/alloc.a /usr/local/lib/cdb/buffer.a \
	  /usr/local/lib/cdb/byte.a /usr/local/lib/cdb/unix.a -static -lc


bdbtest : bdbtest.c
	gcc -I/usr/local/BerkeleyDB.4.1/include -Wall -O3 -o $@ bdbtest.c \
	  -static -L/usr/local/BerkeleyDB.4.1/lib -ldb-4.1 -lc



# END OF FILE

## qdbm 1.8.77

=== debian/changelog ===
qdbm (1.8.77-4) unstable; urgency=high

  * Fix serious bugs:
    + Apply patch from dai to fix upgrading from lenny. (Closes: #601990)
    + Apply patch from dai to get rid of old libraries. (Closes: #602786)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 08 Nov 2010 20:06:06 +0900

qdbm (1.8.77-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS:
    + Apply patch from Julien Cristau to replace STR2CSTR with StringValuePtr.
    + Hack: avoid modifying $0 (frozen variable in 1.9.2)
    + Add -I. to work around removal of relative requires in 1.9.2.
    Closes: #592775

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 18 Sep 2010 08:48:49 +0200

qdbm (1.8.77-3) unstable; urgency=low

  * Fix FTBTS again. (Closes: #589275)
  * update libxqdbm2c2.symbols to demangle symbols name.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 22 Jul 2010 21:15:45 +0900

qdbm (1.8.77-2) unstable; urgency=low

  * New Standards-Version: 3.9.0
  * debian/control: fix section overrides.
  * Fix FTBTS adding build options for gcj. (Closes: #589275)
  * fix lintian issues.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 16 Jul 2010 20:20:44 +0900

qdbm (1.8.77-1) unstable; urgency=low

  * Imported Upstream version 1.8.77
  * Change binary package name of C++ library
    (by Taku YASUI <tach@debian.org>)
  * New Maintainer. (Closes: #541046)
  * New Standards-Version: 3.8.4
  * Change Build-Depends from gcj to default-jdk
  * remove needless pkgconfig option. (Closes: #397614)
  * fix refering paths of header files. (LP: #450672)
  * fix lintian issues:
      remove RPATH with chrpath.
      change location of perl modules.
  * build ruby binding for both 1.8 and 1.9.1.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 27 May 2010 21:46:19 +0900

qdbm (1.8.74-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Oops, DEB_HOST_ARCH isn't neccesarily exported to build env

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 12 Sep 2008 23:36:33 +0300

qdbm (1.8.74-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * build java bindings on armel, closes: 498680
  * use DEB_HOST_* instead od DEB_BUILD_* where appropriate
  * Added homepage field

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 12 Sep 2008 13:00:11 +0300

qdbm (1.8.74-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't build with java on alpha and arm. Closes: #477901.

 -- Matthias Klose <doko@debian.org>  Sat, 10 May 2008 16:46:56 +0200

qdbm (1.8.74-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Set HOME=$(CURDIR)/junkhome when building, otherwise the package build
    will incorrectly look for headers there -- and fail when the directory
    exists and is unreadable, as happens sometimes on sudo-using
    autobuilders!  Closes: #398196.

 -- Steve Langasek <vorlon@debian.org>  Sun, 12 Nov 2006 03:21:30 -0800

qdbm (1.8.74-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  3 Nov 2006 17:14:30 +0900

qdbm (1.8.73-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 31 Oct 2006 01:03:28 +0900

qdbm (1.8.72-1) unstable; urgency=low

  * New upstream release
  * C++ API soname bump up to 3
  * plus/Makefile.in: use -O0 for alpha architecture
    closes: Bug#394626

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 28 Oct 2006 02:50:43 +0900

qdbm (1.8.70-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 23 Aug 2006 13:25:29 +0900

qdbm (1.8.69-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 17 Aug 2006 14:12:16 +0900

qdbm (1.8.68-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 15 Aug 2006 15:07:25 +0900

qdbm (1.8.67-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 13 Aug 2006 05:25:27 +0900

qdbm (1.8.66-1) unstable; urgency=low

  * New upstream release
  * libqdbm.so ABI has been changed, soversion bump up to 14

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  6 Aug 2006 04:25:43 +0900

qdbm (1.8.64-1) unstable; urgency=low

  * New upstream release
  * libqdbm.so ABI has been changed, so soversion bump up to 13
  
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 31 Jul 2006 06:04:35 +0900

qdbm (1.8.63-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 30 Jul 2006 06:38:08 +0900

qdbm (1.8.61-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 23 Jul 2006 07:55:43 +0900

qdbm (1.8.51-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 10 May 2006 00:16:40 +0900

qdbm (1.8.49-1) unstable; urgency=low

  * New upstream release
    closes: Bug#360423
  * drop build-depends: g++-3.4 [arm m68k hppa]
    closes: Bug#343017
  * exclude kfreebsd-amd64 from build-depends for java as kfreebsd-i386
    closes: Bug#361496
  * remove build-depends on libgcj-dev
    closes: Bug#359739

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 27 Apr 2006 00:10:55 +0900

qdbm (1.8.33-2) unstable; urgency=low

  * work around gcc-4.0 FTBFS on arm, m68k, hppa
    debian/control: add "g++-3.4 [arm m68k hppa]" in Build-Depends: 
    debian/rules: check GCC4_ICES_HERE and modify CC/CPP/CXX to -3.4
    closes: Bug#334038
  * fix FTBFS java library on m68k
    debian/rules: CC=gcc to configure in java/
     jni.h is provided by libgcj6-dev, so java binary should be compiled
     by gcc-4.0 instead of gcc-3.4.
    closes: Bug#334666
  
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 15 Nov 2005 01:43:21 +0900

qdbm (1.8.33-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * work around gcc-4.0 FTBFS on some architectures

 -- LaMont Jones <lamont@debian.org>  Fri, 14 Oct 2005 19:28:39 +0000

qdbm (1.8.33-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: qdbm
Priority: optional
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Build-Depends: debhelper (>= 5.0.0), autotools-dev, zlib1g-dev, perl-modules, ruby1.8-dev, ruby1.8, ruby1.9.1-dev, ruby1.9.1 , g++ (>= 4:4.0.2-2), default-jdk, chrpath
Homepage: http://qdbm.sourceforge.net/
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/users/lurdan-guest/qdbm.git
Vcs-Browser: http://git.debian.org/?p=users/lurdan-guest/qdbm.git
Section: libs

Package: libqdbm14
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QDBM Database Libraries [runtime]
 QDBM is an embeded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This is the runtime package for programs that use the QDBM database
 library.

Package: qdbm-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: QDBM Database Documentation
 Documentation for all of the API's and utilities provided by QDBM.

Package: libqdbm-dev
Section: libdevel
Architecture: any
Depends: libqdbm14 (= ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Suggests: qdbm-doc
Description: QDBM Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the QDBM database library.

Package: qdbm-util
Architecture: any
Section: database
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QDBM Database Utilities
 QDBM is an embeded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This is the QDBM Database utilities package.

Package: qdbm-cgi
Architecture: any
Section: database
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QDBM Database CGI commands
 This is the QDBM Database command package to be used as CGI commands.

Package: libxqdbm3c2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqdbm3++c2 (<< 1.8.77-1)
Breaks: libqdbm3++c2 (<< 1.8.77-1)
Description: QDBM Database Libraries for C++ [runtime]
 QDBM is an embeded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This is the runtime package for programs that use the DQBM
 database library.  This is only for programs which use the C++ interface.

Package: libxqdbm-dev
Architecture: any
Section: libdevel
Depends: libxqdbm3c2 (= ${binary:Version}), libqdbm-dev (= ${binary:Version}), ${misc:Depends}
Suggests: qdbm-doc
Description: QDBM Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the QDBM database library.  This is only for
 programs which will use the C++ interface.

Package: libqdbm3++c2 
Architecture: any 
Depends: libxqdbm3c2 (>= ${binary:Version}), ${misc:Depends}
Description: QDBM Database Libraries for C++ [runtime] (transitional package)
 This is a dummy package to ease transition to new package name. 
 
Package: libqdbm++-dev 
Architecture: any 
Section: libdevel 
Depends: libxqdbm-dev (>= ${binary:Version}), ${misc:Depends}
Suggests: qdbm-doc 
Description: QDBM Database Libraries for C++ [development] (transitional package) 
 This is a dummy package to ease transition to new package name. 

Package: libqdbm-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: qdbm-doc
Description: QDBM Database Libraries for Perl
 QDBM is an embeded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This package provides the Perl interface for the QDBM database library.

Package: libqdbm-ruby1.8
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qdbm-doc
Description: QDBM Database Libraries for Ruby 1.8
 QDBM is an embeded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This package provides the Ruby interface for the QDBM database library.

Package: libqdbm-ruby1.9.1
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qdbm-doc
Description: QDBM Database Libraries for Ruby 1.9.1
 QDBM is an embeded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This package provides the Ruby interface for the QDBM database library.

Package: libqdbm-java
Architecture: any
Section: java
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre
Suggests: qdbm-doc, java-virtual-machine
Description: QDBM Database Libraries for Java
 QDBM is an embeded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This package provides the Java interface for the QDBM database library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# work-around for upstream build that thinks $(HOME) belongs in the
# include path for all builds!
export HOME=$(CURDIR)/junkhome

# shared library versions, option 1
major=14
xmajor=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_CPU   ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS = -Wall -g $(shell getconf LFS_CFLAGS)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CONFIGURE_VARS = CFLAGS="$(CFLAGS)" CPPFLAGS=""
CONFIGURE_SWITCHES = --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	--includedir=\$${prefix}/include/qdbm \
	--enable-pthread --enable-zlib --enable-iconv \
	--enable-java

DEFAULT_JAVA ?= $(shell readlink /etc/alternatives/java | sed s@/jre/bin/java@@)
ifneq (,$(findstring /usr/bin/gij,$(DEFAULT_JAVA)))
CONFIGURE_VARS += JAVAC="gcj-wrapper" JAR="fastjar"
CONFIGURE_SWITCHES += --with-gcj
else
JAVA_HOME = $(DEFAULT_JAVA)
CONFIGURE_VARS += JAVA_HOME="$(JAVA_HOME)"
endif

build: build-stamp
build-stamp:  
	dh_testdir
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	$(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	$(MAKE) && $(MAKE) check
	cd cgi && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd cgi && $(MAKE)
	cd plus && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd plus && $(MAKE) && $(MAKE) check
	cd perl && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd perl && $(MAKE) && $(MAKE) check
	cp -pR ruby ruby19
	cd ruby && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	export RUBY=/usr/bin/ruby1.8 && cd ruby && $(MAKE) && $(MAKE) check
	cd ruby19 && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	export RUBY=/usr/bin/ruby1.9.1 && cd ruby19 && $(MAKE) && $(MAKE) check
	cd java && CC=gcc $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd java && $(MAKE)
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	-cd java && $(MAKE) distclean
	-cd ruby && $(MAKE) distclean
	-cd perl && $(MAKE) distclean
	-cd plus && $(MAKE) distclean
	-cd cgi && $(MAKE) distclean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf ruby19 config.sub config.guess build-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr MYHEADDIR=$(CURDIR)/debian/libqdbm-dev/usr/include/qdbm
	# cgi
	cd cgi && install -m 755 *.cgi $(CURDIR)/debian/qdbm-cgi/usr/lib/cgi-bin
	cd cgi && install -m 644 *.conf $(CURDIR)/debian/qdbm-cgi/etc/qdbm
	# plus
	cd plus && $(MAKE) install prefix=$(CURDIR)/debian/libxqdbm$(xmajor)c2/usr MYHEADDIR=$(CURDIR)/debian/libxqdbm-dev/usr/include/qdbm
	mv $(CURDIR)/debian/libxqdbm$(xmajor)c2/usr/bin/* $(CURDIR)/debian/qdbm-util/usr/bin/
	mv $(CURDIR)/debian/libxqdbm$(xmajor)c2/usr/lib/libxqdbm.a $(CURDIR)/debian/libqdbm-dev/usr/lib/
	mv $(CURDIR)/debian/libxqdbm$(xmajor)c2/usr/lib/libxqdbm.so $(CURDIR)/debian/libqdbm-dev/usr/lib/
	# perl
	cd perl && $(MAKE) install DESTDIR=$(CURDIR)/debian/libqdbm-perl
	chmod +w $(CURDIR)/debian/libqdbm-perl/usr/lib/perl*/*/*/*/*.so
	mv $(CURDIR)/debian/libqdbm-perl/usr/lib/perl/*/* $(CURDIR)/debian/libqdbm-perl/usr/lib/perl5/
	rm -rf $(CURDIR)/debian/libqdbm-perl/usr/lib/perl $(CURDIR)/debian/libqdbm-perl/usr/lib/perl5/perllocal.pod
	mv $(CURDIR)/debian/libqdbm-perl/usr/bin/* $(CURDIR)/debian/libqdbm-perl/usr/share/doc/libqdbm-perl/examples
	find $(CURDIR)/debian -type f -name .packlist | xargs rm -f
	# ruby
	cd ruby && $(MAKE) install DESTDIR=$(CURDIR)/debian/libqdbm-ruby1.8 \
		RUBYARCHDIR='$$(DESTDIR)/usr/lib/ruby/1.8/$$(arch)' \
		RUBYLIBDIR='$$(DESTDIR)/usr/lib/ruby/1.8'
	mv $(CURDIR)/debian/libqdbm-ruby1.8/usr/bin/* $(CURDIR)/debian/libqdbm-ruby1.8/usr/share/doc/libqdbm-ruby1.8/examples
	cd ruby19 && $(MAKE) install DESTDIR=$(CURDIR)/debian/libqdbm-ruby1.9.1 \
		RUBYARCHDIR='$$(DESTDIR)/usr/lib/ruby/1.9.1/$$(arch)' \
		RUBYLIBDIR='$$(DESTDIR)/usr/lib/ruby/1.9.1'
	mv $(CURDIR)/debian/libqdbm-ruby1.9.1/usr/bin/* $(CURDIR)/debian/libqdbm-ruby1.9.1/usr/share/doc/libqdbm-ruby1.9.1/examples
	rm -rf $(CURDIR)/debian/*/usr/share/qdbm
	dh_installdirs -plibqdbm-java
	cd java && $(MAKE) install DESTDIR=$(CURDIR)/debian/libqdbm-java
	cp -L $(CURDIR)/debian/libqdbm-java/usr/lib/libjqdbm.so $(CURDIR)/debian/libqdbm-java/usr/lib/jni/libjqdbm.so
	mv $(CURDIR)/debian/libqdbm-java/usr/lib/qdbm.jar $(CURDIR)/debian/libqdbm-java/usr/share/qdbm/lib/
	rm -f $(CURDIR)/debian/libqdbm-java/usr/lib/libjqdbm.so*
	rm -rf $(CURDIR)/debian/*/usr/share/qdbm/java
	# fix rpath issue
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*.so
	chrpath -d $(CURDIR)/debian/qdbm-cgi/usr/lib/cgi-bin/*.cgi
	chrpath -d $(CURDIR)/debian/libqdbm-perl/usr/lib//perl5/*/*/*.so
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	rm -f $(CURDIR)/debian/qdbm-util/usr/bin/*test
	find $(CURDIR)/debian -type d -empty -delete

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installexamples -i
#	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_perl -i
#	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	rm -f $(CURDIR)/debian/qdbm-util/usr/share/man/man1/*test
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_perl -plibqdbm-perl
	dh_makeshlibs -a --no-package=libqdbm-java -V
	dh_installdeb -a
	dh_shlibdeps -a -l debian/libqdbm$(major)/usr/lib:debian/libxqdbm$(xmajor)c2/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://qdbm.sourceforge.net/qdbm-(.+).tar.gz

## qdbm 1.8.78

=== bros/Makefile ===
--- 
+++ 
@@ -51,39 +51,45 @@
 
 
 qdbmtest : qdbmtest.c
-	gcc -I.. -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ qdbmtest.c \
-	  -static -L.. -L/usr/local/lib -lqdbm -lc
+	gcc -I.. -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ qdbmtest.c \
+	  -static -L.. -L/usr/local/lib -lqdbm -lz -lc
 
 
 ndbmtest : ndbmtest.c
-	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ ndbmtest.c \
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ ndbmtest.c \
 	  -static -L/usr/local/lib -lndbm -lc
 
 
 sdbmtest : sdbmtest.c
-	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ sdbmtest.c \
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ sdbmtest.c \
 	  -static -L/usr/local/lib -lsdbm -lc
 
 
 gdbmtest : gdbmtest.c
-	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ gdbmtest.c \
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ gdbmtest.c \
 	  -static -L/usr/local/lib -lgdbm -lc
 
 
 tdbtest : tdbtest.c
-	gcc -I/usr/local/include -Wall -ansi -pedantic -O3 -o $@ tdbtest.c \
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ tdbtest.c \
 	  -static -L/usr/local/lib -ltdb -lc
 
 
 cdbtest : cdbtest.c
-	gcc -I/usr/local/include/cdb -Wall -ansi -pedantic -O3 -o $@ cdbtest.c \
-	  /usr/local/lib/cdb/cdb.a /usr/local/lib/cdb/alloc.a /usr/local/lib/cdb/buffer.a \
-	  /usr/local/lib/cdb/byte.a /usr/local/lib/cdb/unix.a -static -lc
+	gcc -I/usr/local/include -D_GNU_SOURCE=1 \
+	  -Wall -ansi -pedantic -O3 -o $@ cdbtest.c \
+	  -static -L/usr/local/lib -lcdb -lc
 
 
 bdbtest : bdbtest.c
-	gcc -I/usr/local/BerkeleyDB.4.1/include -Wall -O3 -o $@ bdbtest.c \
-	  -static -L/usr/local/BerkeleyDB.4.1/lib -ldb-4.1 -lc
+	gcc -I/usr/local/bdb/include -D_GNU_SOURCE=1 \
+	  -Wall -O3 -o $@ bdbtest.c \
+	  -static -L/usr/local/bdb/lib -ldb-4.4 -lpthread -lc

=== debian/changelog ===
qdbm (1.8.78-9build3) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:58 +0000

qdbm (1.8.78-9build2) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:37:58 +0000

qdbm (1.8.78-9build1) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:14:53 -0600

qdbm (1.8.78-9) unstable; urgency=medium

  * Fix Build-Profiles entry for libqdbm-java.
  * Move build-java-stamp from build-indep to build-arch.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 11 Apr 2018 13:51:16 +0200

qdbm (1.8.78-8) unstable; urgency=medium

  * QA upload.
  * Add a nojava profile. 

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 10 Apr 2018 06:48:13 +0200

qdbm (1.8.78-7) unstable; urgency=medium

  * QA upload.
  * Change maintainer to the Debian QA Group
  * Fix include paths when building with GCJ.
    Thanks to Jason Duerstock (Closes: #892200)
  * Update Vcs-* to refer to new repository on Salsa

 -- James Clarke <jrtc27@debian.org>  Tue, 06 Mar 2018 17:51:52 +0000

qdbm (1.8.78-6.2) unstable; urgency=medium

  * Non maintainer upload.
  * Lower the optimization to -O1 to pass the test suite. Closes: #853627.
  * Bump standards and debhelper versions.
  * Don't set noopt flags, ignored anyway in the upstream build system.
  * Do the extra/optional dance.
  * ruby-qdbm: Remove obsolete ruby breaks/replaces/conflicts.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Feb 2018 16:12:44 +0100

qdbm (1.8.78-6.1build2) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:01:58 +0000

qdbm (1.8.78-6.1build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:12:52 +0000

qdbm (1.8.78-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop explicit dependency on g++-5. (Closes: #835952)
  * Replace Build-Depends: perl-modules with just perl.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 19 Dec 2016 01:33:40 +0000

qdbm (1.8.78-6) unstable; urgency=medium

  * New Standards-Version: 3.9.6.
  * update symbol file to fix ftbfs with gcc-5. (Closes: #791736)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 04 Aug 2015 14:15:52 +0900

qdbm (1.8.78-5) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "hardcodes /usr/lib/perl5":
    - add patch that passes INSTALLDIRS=vendor to perl Makefile.PL calls
    - remove usr/lib/perl5 from debian/libqdbm-perl.dirs, files are in the
      right directories now
    - remove some now unneeded (re)moving in debian/rules and adjust paths
    - use $Config{vendorarch} in debian/rules to get the perl library path at
      build time
    (Closes: #752806)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Mon, 07 Jul 2014 08:55:46 +0900

qdbm (1.8.78-4) unstable; urgency=medium

  * New Standards-Version: 3.9.5.
  * update symbol file to fix ftbfs with gcc-4.9. (Closes: #746898)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Thu, 19 Jun 2014 23:48:34 +0900

qdbm (1.8.78-3) unstable; urgency=low

  * Drop ruby1.8 bindings. (Closes: #734346)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 07 Jan 2014 20:59:20 +0900

qdbm (1.8.78-2) unstable; urgency=low

  * Apply patch from Neil Williams
    + to fix dependency issue about libxqdbm-dev. (Closes: #655702)
  * Apply patch from Pino Toscano
    + to support nocheck in DEB_BUILD_OPTIONS. (Closes: #648649)
    + to support hurd. (Closes: #648663)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Fri, 27 Jan 2012 11:55:30 +0900

qdbm (1.8.78-1) unstable; urgency=low

  * Upstream homepage moved.
  * New Upstream release.
  * New Standards-Version: 3.9.2
  * fix misplaced library symlinks.
  * fix typo of package description. (Closes: #592058)
  * libqdbm14: drop gdbm wrapping. (Closes: #620550)
  * update ruby packaging for wheezy.
  * debian/copyright: migrate DEP-5 format with fixing imcomplete listings.
    Thanks to Bart Martens's review at mentors.d.n.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 13 Oct 2011 08:42:07 +0900

=== debian/control ===
Source: qdbm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), autoconf, autotools-dev, zlib1g-dev, perl, gem2deb, default-jdk <!nojava>, chrpath
Homepage: http://fallabs.com/qdbm/
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/debian/qdbm.git
Vcs-Browser: https://salsa.debian.org/debian/qdbm
XS-Ruby-Versions: all
Section: libs

Package: libqdbm14
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QDBM Database Libraries without GDBM wrapper[runtime]
 QDBM is an embedded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This is the runtime package for programs that use the QDBM database
 library.

Package: qdbm-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: QDBM Database Documentation
 Documentation for all of the API's and utilities provided by QDBM.

Package: libqdbm-dev
Section: libdevel
Architecture: any
Depends: libqdbm14 (= ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Suggests: qdbm-doc
Description: QDBM Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the QDBM database library.

Package: qdbm-util
Architecture: any
Section: database
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QDBM Database Utilities
 QDBM is an embedded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This is the QDBM Database utilities package.

Package: qdbm-cgi
Architecture: any
Section: database
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QDBM Database CGI commands
 This is the QDBM Database command package to be used as CGI commands.

Package: libxqdbm3c2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqdbm3++c2 (<< 1.8.77-1)
Breaks: libqdbm3++c2 (<< 1.8.77-1)
Description: QDBM Database Libraries for C++ [runtime]
 QDBM is an embedded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This is the runtime package for programs that use the QDBM
 database library.  This is only for programs which use the C++ interface.

Package: libxqdbm-dev
Architecture: any
Section: libdevel
Depends: libxqdbm3c2 (= ${binary:Version}), libqdbm-dev (= ${binary:Version}), ${misc:Depends}
Replaces: libqdbm-dev (<< 1.8.78-1)
Suggests: qdbm-doc
Description: QDBM Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the QDBM database library.  This is only for
 programs which will use the C++ interface.

Package: libqdbm3++c2
Architecture: any
Section: oldlibs
Priority: optional
Depends: libxqdbm3c2 (>= ${binary:Version}), ${misc:Depends}
Description: QDBM Database Libraries for C++ [runtime] (transitional package)
 This is a dummy package to ease transition to new package name.

Package: libqdbm++-dev
Architecture: any
Section: oldlibs
Priority: optional
Depends: libxqdbm-dev (>= ${binary:Version}), ${misc:Depends}
Suggests: qdbm-doc
Description: QDBM Database Libraries for C++ [development] (transitional package)
 This is a dummy package to ease transition to new package name.

Package: libqdbm-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: qdbm-doc
Description: QDBM Database Libraries for Perl
 QDBM is an embedded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This package provides the Perl interface for the QDBM database library.

Package: ruby-qdbm
XB-Ruby-Versions: ${ruby:Versions}
X-DhRuby-Root: ruby
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qdbm-doc
Description: QDBM Database Libraries for Ruby
 QDBM is an embedded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This package provides the Ruby interface for the QDBM database library.

Package: libqdbm-java
Architecture: any
Section: java
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qdbm-doc, java-virtual-machine
Build-Profiles: <!nojava>
Description: QDBM Database Libraries for Java
 QDBM is an embedded database library compatible with GDBM and NDBM.
 It features hash database and B+ tree database and is developed referring
 to GDBM for the purpose of the following three points: higher processing
 speed, smaller size of a database file, and simpler API.
 This package provides the Java interface for the QDBM database library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# work-around for upstream build that thinks $(HOME) belongs in the
# include path for all builds!
export HOME=$(CURDIR)/junkhome

# shared library versions, option 1
major=14
xmajor=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_CPU   ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

PERL_LIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch},1)' )

export CFLAGS = -Wall -g $(shell getconf LFS_CFLAGS)

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	WITH_TESTS =
else
	WITH_TESTS = y
endif

ifneq (,$(findstring nojava,$(DEB_BUILD_PROFILES)))
	WITH_JAVA = 
else
	WITH_JAVA = y
endif

CONFIGURE_VARS = CFLAGS="$(CFLAGS)" CPPFLAGS=""
CONFIGURE_SWITCHES = --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	--includedir=\$${prefix}/include/qdbm \
	--enable-pthread --enable-zlib --enable-iconv

JAVA_HOME = /usr/lib/jvm/default-java
CONFIGURE_VARS += JAVA_HOME="$(JAVA_HOME)"
DEFAULT_JAVA ?= $(shell readlink -f $(JAVA_HOME)/bin/java)
ifneq (,$(filter /usr/bin/%gij%, $(DEFAULT_JAVA)))
CONFIGURE_VARS += JAVAC="gcj-wrapper" JAR="fastjar"
CONFIGURE_SWITCHES += --with-gcj
endif

build: build-arch build-indep
build-arch: build-stamp
ifneq "$(WITH_JAVA)" ""
build-arch: build-java-stamp
endif
build-indep: build-arch
build-stamp:
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	autoconf
	mkdir with-gdbm && cp qdbm.* *ake* config* *.c *.h with-gdbm/
	$(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES) --disable-gdbm
	$(MAKE)
ifneq "$(WITH_TESTS)" ""
	$(MAKE) check
endif
	#cd with-gdbm && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	#cd with-gdbm &&	$(MAKE) && $(MAKE) check
	cd cgi && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd cgi && $(MAKE)
	cd plus && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd plus && $(MAKE)
ifneq "$(WITH_TESTS)" ""
	cd plus && $(MAKE) check
endif
	cd perl && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd perl && $(MAKE)
ifneq "$(WITH_TESTS)" ""
	cd perl && $(MAKE) check
endif
	touch build-stamp

#build-ruby-stamp: build-stamp
#	cd ruby && $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
#	export RUBY=/usr/bin/ruby && cd ruby && $(MAKE)
#ifneq "$(WITH_TESTS)" ""
#	export RUBY=/usr/bin/ruby && cd ruby && $(MAKE) check
#endif
#	touch build-ruby-stamp

build-java-stamp: build-stamp
	cd java && CC=gcc $(CONFIGURE_VARS) ./configure $(CONFIGURE_SWITCHES)
	cd java && $(MAKE)
	touch build-java-stamp

clean:
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	-cd java && $(MAKE) distclean
	-cd ruby && $(MAKE) distclean
	-cd perl && $(MAKE) distclean
	-cd plus && $(MAKE) distclean
	-cd cgi && $(MAKE) distclean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf ruby19 config.sub config.guess *-stamp with-gdbm debian/tmp-gdbm
	dh_clean

install: install-stamp install-ruby-stamp
ifneq "$(WITH_JAVA)" ""
install: install-java-stamp
endif
install-stamp: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr MYHEADDIR=$(CURDIR)/debian/libqdbm-dev/usr/include/qdbm
	# cgi
	cd cgi && install -m 755 *.cgi $(CURDIR)/debian/qdbm-cgi/usr/lib/cgi-bin
	cd cgi && install -m 644 *.conf $(CURDIR)/debian/qdbm-cgi/etc/qdbm
	# plus
	cd plus && $(MAKE) install prefix=$(CURDIR)/debian/libxqdbm$(xmajor)c2/usr MYHEADDIR=$(CURDIR)/debian/libxqdbm-dev/usr/include/qdbm
	mv $(CURDIR)/debian/libxqdbm$(xmajor)c2/usr/bin/* $(CURDIR)/debian/qdbm-util/usr/bin/
	mv $(CURDIR)/debian/libxqdbm$(xmajor)c2/usr/lib/libxqdbm.a $(CURDIR)/debian/libxqdbm-dev/usr/lib/
	mv $(CURDIR)/debian/libxqdbm$(xmajor)c2/usr/lib/libxqdbm.so $(CURDIR)/debian/libxqdbm-dev/usr/lib/
	# perl
	cd perl && $(MAKE) install DESTDIR=$(CURDIR)/debian/libqdbm-perl
	chmod +w $(CURDIR)/debian/libqdbm-perl/$(PERL_LIB)/auto/*/*.so
	mv $(CURDIR)/debian/libqdbm-perl/usr/bin/* $(CURDIR)/debian/libqdbm-perl/usr/share/doc/libqdbm-perl/examples
	# fix rpath issue
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*.so
	#chrpath -d $(CURDIR)/with-gdbm/*.so
	chrpath -d $(CURDIR)/debian/qdbm-cgi/usr/lib/cgi-bin/*.cgi
	chrpath -d $(CURDIR)/debian/libqdbm-perl/$(PERL_LIB)/auto/*/*.so
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	#mkdir -p $(CURDIR)/debian/libqdbm14-gdbm/usr/lib
	#cp -Rf $(CURDIR)/with-gdbm/libqdbm.so.* $(CURDIR)/debian/libqdbm14-gdbm/usr/lib/
	rm -f $(CURDIR)/debian/qdbm-util/usr/bin/*test
	find $(CURDIR)/debian -type d -empty -delete
	touch install-stamp

install-ruby-stamp: install-stamp
	dh_ruby --install
	touch install-ruby-stamp

install-java-stamp: install-stamp build-java-stamp
	dh_installdirs -plibqdbm-java
	cd java && $(MAKE) install DESTDIR=$(CURDIR)/debian/libqdbm-java
	cp -L $(CURDIR)/debian/libqdbm-java/usr/lib/libjqdbm.so $(CURDIR)/debian/libqdbm-java/usr/lib/jni/libjqdbm.so
	mv $(CURDIR)/debian/libqdbm-java/usr/lib/qdbm.jar $(CURDIR)/debian/libqdbm-java/usr/share/qdbm/lib/
	rm -f $(CURDIR)/debian/libqdbm-java/usr/lib/libjqdbm.so*
	rm -rf $(CURDIR)/debian/*/usr/share/qdbm/java
	touch install-java-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installdocs -A debian/NEWS.Debian
	dh_installexamples -i
#	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_perl -i
#	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	rm -f $(CURDIR)/debian/qdbm-util/usr/share/man/man1/*test
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_perl -plibqdbm-perl
	dh_makeshlibs -a -X libqdbm-java -V
	dh_installdeb -a
	dh_shlibdeps -a -l debian/libqdbm$(major)/usr/lib:debian/libxqdbm$(xmajor)c2/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install build-arch build-indep
